#
# spec file for package kcommander2 (Version 1.93)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel kdenetwork kdenetwork-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel kdenetwork kdenetwork-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --nosuseupdate --touch --kde2 -b "kdenetwork kdenetwork-devel"
Name:         kcommander2
Provides:     kcommand
Obsoletes:    kcommand
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      Norton Commander Clone for KDE
Version:      1.93
Release:      134
Source0:      kcommander2-1.93.tar.bz2
Patch0: kcommander2-1.93.dif

%description
This is a graphical Filemanager in the style of Norton Commander and
WindowsCommander.

SuSE series: k2de

%prep
%setup -n kcommander2-1.93
%patch -p 0 -E

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./configure --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
touch ./kcommander2/Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/apps/kcommander2
%dir /opt/kde2/share/icons/hicolor/22x22/apps
%dir /opt/kde2/share/icons/locolor/22x22
%dir /opt/kde2/share/icons/locolor/22x22/apps
/opt/kde2/bin/kcommander2
/opt/kde2/share/apps/kcommander2/1.png
/opt/kde2/share/apps/kcommander2/2.png
/opt/kde2/share/apps/kcommander2/3.png
/opt/kde2/share/apps/kcommander2/kcommander2ui.rc
/opt/kde2/share/icons/hicolor/22x22/apps/kcommander2.png
/opt/kde2/share/icons/hicolor/32x32/apps/kcommander2.png
/opt/kde2/share/icons/hicolor/48x48/apps/kcommander2.png
/opt/kde2/share/icons/locolor/22x22/apps/kcommander2.png
/opt/kde2/share/icons/locolor/32x32/apps/kcommander2.png

%changelog -n kcommander2
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 13 2001 - ro@suse.de
- remove kdesupport from neededforbuild
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Mon Jul 02 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Thu Jun 07 2001 - adrian@suse.de
- update to 1.93
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 27 2001 - ro@suse.de
- fixed to compile
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Sun Feb 11 2001 - adrian@suse.de
- fix file list
* Wed Feb 07 2001 - adrian@suse.de
- Spec file created from kcommander2-1.92.tar.bz2 by autospec
